################################################################################
                            COM-TGHB6
################################################################################
Microcode:
        MC2806D0_00000050.pdb
        MC2806D1_00000040.pdb
################################################################################
================================================================================
BIOS Name:      CTGHBM25                (Based on : CTGHBM24)
Build Date:     06/13/2024
Matched EC:     ECoM_119
Checksum:       75F4h
STS:            27017
Sign-on Message:
        COM-TGHB6 R2.5 (CTGHBM25)(06/13/2024)
Changes:
        1. Fix Random UUID Change Issues.

================================================================================
BIOS Name:      CTGHBM24                (Based on : CTGHBM23)
Build Date:     05/08/2024
Matched EC:     ECoM_119
STS:            26644
Checksum:       532Bh

Sign-on Message:
        COM-TGHB6 R2.4 (CTGHBM24)(05/08/2024)
Changes:
        1. Rollback CPU Microcode due to "system with specific CPU can not bring up"
 
Note : 
        CTGHBM21,CTGHBM22,CTGHBM23 can not use for "specific CPU system"

================================================================================
BIOS Name:      CTGHBM23                (Based on : CTGHBM22)
Build Date:     05/03/2024
Matched EC:     ECoM_119
STS:            26621
Checksum:       58BEh
Sign-on Message:
        COM-TGHB6 R2.3 (CTGHBM23)(05/03/2024)
Changes:
        1. Fix the "Restore AC Power Failure" feature failure in a specific step.
 
Issue duplicate step:
        1. Update the BIOS (e.g. CTGHBM22)
        2. Modify the "Restore AC Power Failure" setting
        3. Save and reboot the system.
        4. Update EC firmware (e.g. ECoM_119)
        5. The "Restore AC Power Off" function may be working abnormally.

================================================================================
BIOS Name:      CTGHBM22                (Based on : CTGHBM21)
Build Date:     04/11/2024
Checksum:       46B4h
Matched EC:     ECoM_119
STS:            26282
Sign-on Message:
        COM-TGHB6 R2.2 (CTGHBM22)(04/11/2024)
Changes:
        1. Support Intel I226 PXE boot

================================================================================
BIOS Name:      CTGHBM21                (Based on : CTGHBM20)
Build Date:     02/26/2024
Checksum:       BAAFh
STS:            25737
Matched EC:     ECoM_118
Sign-on Message:
        COM-TGHB6 R2.1 (CTGHBM21)(02/26/2024)
Changes:
        1. Update CPU Microcode.
        2. Support CPU PCIe(PEG) Bifurcation.
           Setup:
           Chipset -> PCI Express Configuration -> PEG Select -> "One x16"
                                                              -> "Two x8"
                                                              -> "One x8, Two x4"
        3. Fix the AMI LogoFAIL Vulnerability.

Note:
        1. EC firmware need to update.
        2. Next boot will reset longer if PEG capabilities change.

================================================================================
################################################################################
                            COM-TGHB6
################################################################################
Microcode:
        MC2806D0_00000050.pdb
        MC2806D1_00000040.pdb
################################################################################
================================================================================
BIOS Name:      CTGHBM20                (Based on : CTGHBM19)
Build Date:     01/18/2024
Checksum:       F1D5h
STS:            25384
Matched EC:     ECoM_117
Sign-on Message:
        COM-TGHB6 R2.0 (CTGHBM20)(01/18/2024)
Changes:
        1. Show "Intel(R) Rapid Storage Technology" if VMD controller enabled.
           Setup: Chipset -> Intel(R) Rapid Storage Technology
        2. Display the CPU PCIe root port in use on BIOS setup.

================================================================================
BIOS Name:      CTGHBM19                (Based on : CTGHBM18)
Build Date:     12/29/2023
Checksum:       2FE5h
STS:            25138
Matched EC:     ECoM_117
Sign-on Message:
        COM-TGHB6 R1.9 (CTGHBM19)(12/29/2023)
Changes:
        1. Optimize PCIe config for PEX bridges.

================================================================================
BIOS Name:      CTGHBM18                (Based on : CTGHBM17)
Build Date:     12/25/2023
Checksum:       5D1Ch
STS:            25138
Matched EC:     ECoM_117
Sign-on Message:
        COM-TGHB6 R1.8 (CTGHBM18)(12/25/2023)
Changes:
        1. Fix "Sleep button" false trigger if "Battery Management" is Enabled.

Note: EC firmware need to update.
================================================================================
BIOS Name:      CTGHBM17                (Based on : CTGHBM16)
Build Date:     12/14/2023
Checksum:       73F2h
STS:            25028
Matched EC:     ECoM_116
Sign-on Message:
        COM-TGHB6 R1.7 (CTGHBM17)(12/14/2023)
Changes:
        1. Optimize PCIe config for PEX bridges.

================================================================================
BIOS Name:      CTGHBM16                (Based on : CTGHBM15)
Build Date:     11/10/2023
Checksum:       5F44h
STS:            24590
Matched EC:     ECoM_116
Sign-on Message:
        COM-TGHB6 R1.6 (CTGHBM16)(11/10/2023)
Changes:
        1. Support SLEEP# function.

================================================================================
BIOS Name:      CTGHBM15                (Based on : CTGHBM14)
Build Date:     11/02/2023
Checksum:       0014h
STS:            24585
Matched EC:     ECoM_102 and aboved
Sign-on Message:
        COM-TGHB6 R1.5 (CTGHBM15)(11/02/2023)
Changes:
        1. PCIe configuration optimize

================================================================================
BIOS Name:      CTGHBM14                (Based on : CTGHBM13)
Build Date:     09/11/2023
Checksum:       FC18h
STS:            24209
Matched EC:     ECoM_102 and aboved
Sign-on Message:
        COM-TGHB6 R1.4 (CTGHBM14)(09/11/2023)
Changes:
        1. Fixed unable to correctly set boot options after set all 'boot options' to 'Disabled'
        2. Fixed SMBIOS type 0 Release Date issue.
        3. Support 'SATA Controller Speed' option
                Setup: Chipset -> Storage Configuration -> SATA Controller Speed
        4. Support configuring display type and driving through BIOS setup
                Setup: Advanced -> Graphics Configuration

================================================================================
BIOS Name:      CTGHBM13                (Based on : CTGHBM12)
Build Date:     04/12/2023
Checksum:       CB26h
STS:            22237
Sign-on Message:
        COM-TGHB6 R1.3 (CTGHBM13)(04/12/2023)
Changes:
        1. Modify DDI1/DDI2/DDI3 to support DP with HDMI compatible
        2. Load the secure boot setup item to default when system clear CMOS
        3. Fixed 'Network Stack' failing to load defaults if CMOS loss
        4. Fixed 'Boot Option' won't load default after BIOS flash
        5. Display 'VT-d' options in "Advanced -> CPU Configuration" and set default as 'Enabled'
        6. Fixed "LVDS Panel Configuration" did not show when set default as 'LVDS On'

================================================================================
BIOS Name:      CTGHBM12
Build Date:     01/18/2023
Checksum:       AFD7h
Sign-on Message:
        COM-TGHB6 R1.2 (CTGHBM12)(01/18/2023)
Changes:
        1. Set PCIe "ASPM" from 'L1' to 'Disabled'
        2. Support NVMe devices
        3. Set 'CrashLog Feature" and "Cpu CrashLog (Device 10)" to 'Disable'
        4. Set 'SENTRY_ROBOT_SUPPORT' to 1
        5. Improve display compatibility
================================================================================
BIOS Name:  CTGHBM11           (Base On: CTGHBM10)
Checksum:   DDACh
STS:        17936, 17940

Sign-on Message:
    COM-TGHB6 R1.1 (CTGHBM11)(07/27/2022)
Changes:
1. Fix LVDS brightness control abnormal when "brightness mode" set to 'BIOS & Application' using Hi-safe tool
2. Display 'Hyper-Threading', 'Intel(R) SpeedStep(tm)', 'Intel (VMX) Virtualization Technology' in Advanced -> CPU Configuration
3. Hide 'Power Saving(ERP) Control' in Advanced -> Power Management
===========================================================================
BIOS Name:  CTGHBM10           (Base On: CTGHBM0B)
Checksum:   3827h
STS:        17817

Sign-on Message:
    COM-TGHB6 R1.0 (CTGHBM10)(07/12/2022)
Changes:
1. First release
===========================================================================
BIOS Name:  CTGHBM0B.bin               (Base On: CTGHBM0A)
Checksum:   AC8Dh
sts no:     17775

Sign-on Message:
    COM-TGHB6 R0.B (CTGHBM0B)(07/07/2022)
Changes:
1. Fix LVDS display incorrect issue
===========================================================================
BIOS Name:  CTGHBM0A.bin               (Base On: CTGHBM09)
Checksum:   1396h
sts no:     17762

Sign-on Message:
    COM-TGHB6 R0.A (CTGHBM0A)(07/04/2022)
Changes:
1. Fix DIO input voltage incorrect

Note:
It needs to be updated by SPI programmer
===========================================================================
BIOS Name:  CTGHBM09.bin               (Base On: CTGHBM08)
Checksum:   D41Eh
sts no:     17670

Sign-on Message:
    COM-TGHB6 R0.9 (CTGHBM09)(07/01/2022)
Changes:
1. Fix WOL fail issue
2. Set DIO source from EC to DIO
===========================================================================
BIOS Name:  CTGHBM08.bin               (Base On: CTGHBM07)
Checksum:   94D6h
sts no:     17590

Sign-on Message:
    COM-TGHB6 R0.8 (CTGHBM08)(06/29/2022)
Changes:
1. Support Memory warning beep
2. Set DIO source from PCH to EC
3. Update Microcode
4. Update complete CSME 15.0.35.1951V6
5. Display VMD options in Chipset -> VMD setup menu
6. Support AMT feature
7. Set option title from 'PCIe Controller 5 select' to 'PCIe 0-3 select'; 'PCIe Controller 6 select' to 'PCIe 4-7 select'
8. Update 640*480 EDID table to support QE panel
9. Fix incorrect identification of eDP device
===========================================================================
BIOS Name:  CTGHBM07.bin               (Base On: CTGHBM06)
Checksum:   53D4h
sts no:     17429

Sign-on Message:
    COM-TGHB6 R0.7 (CTGHBM07)(06/07/2022)
Changes:
1. Fix PCIe select function incorrect
2. Support EC I2C function
===========================================================================
BIOS Name:  CTGHBM06.bin               (Base On: CTGHBM05)
Checksum:   1312h
sts no:     17158

Sign-on Message:
    COM-TGHB6 R0.6 (CTGHBM06)(05/30/2022)
Changes:
1. Update CSME from '15.0.35.1898V3' to '15.0.35.1951V6'
2. Update GOP from '1071' to '1073'
3. Support Secure boot function abnormal issue
4. Support PCIe select function
5. Support DIO from PCH function

Note:
It needs to be updated by SPI programmer
===========================================================================
BIOS Name:  CTGHBM05.bin               (Base On: CTGHBM04)
Checksum:   2266h
sts no:     16217, 16279

Sign-on Message:
    COM-TGHB6 R0.5 (CTGHBM05)(01/18/2022)
Changes:
1. Fix LAN can't be detected issue
2. Update I225 PXE ROM for I225 FW updated
3. Implement SATA SI value fine-tune for SATA GEN2 fail issue

Note:
It needs to be updated by SPI programmer
===========================================================================
BIOS Name:  CTGHBM04.bin               (Base On: CTGHBM03)
Checksum:   E89Fh
sts no:     16184

Sign-on Message:
    COM-TGHB6 R0.4 (CTGHBM04)(01/04/2022)
Changes:
1. Add 'HD Audio' in "HD Audio Configuration"
2. Add 'Serial ATA Port 2' and 'Serial ATA Port 3' status and related options in "Storage Configuration"
3. Add 'Serial ATA Port 2' and  'Serial ATA Port 3' detection under "SATA Configuration" in Main page
4. Add 'NVMe Configuration' in System I/O page
5. 'PCI Express Configuration' arrangement
===========================================================================
BIOS Name:  CTGHBM03.bin               (Base On: CTGHBM02)
Checksum:   C40Ah
sts no:     16093

Sign-on Message:
    COM-TGHB6 R0.3 (CTGHBM03)(12/27/2021)
Changes:
1. Fix USB2.0 port not function issue
2. Fix 'DDI3' (Type-C port) DP display function
3. Fix 'VMEM' voltage incorrect issue in 'On-Module H/W Monitor'
4. Support 'DDI1-3' HDMI function
===========================================================================
BIOS Name:  CTGHBM02.bin               (Base On: CTGHBM01)
Checksum:   54DFh
sts no:     15406

Sign-on Message:
    COM-TGHB6 R0.2 (CTGHBM02)(12/15/2021)
Changes:
1. Fixed can't boot to USB issue
2. I2C device configuration
3. Fix DDI1,2 DP and DDI4 VGA function
4. Enable 'Uart controller' 0~2
5. SI value implementation
6. Support 'After G3' (Restore AC power loss)
7. Support COM port function on CPU board
8. Set COM Port on CPU board from 'COM 3&4' to 'COM 1&2'
9. Support Smart FAN, HW Monitor function
10.Fix device manager yellow bang issue
11.Fix SMBIOS type 0,1,3 incorrect issue
12.Fix can not return to previous page after 'LVDS panel configuration'
13.Fix shell display fail issue
14.Disable USB wake in sleep state
15.Support PCIe wake in sleep state
16.Remove AMI logo during POST
17.Support Hi-Manager
18.Fix no boot beep
19.Support cannot use empty password to enter BIOS setup as user level
20.Fix delay time of PEI phase incorrect issue
===========================================================================
BIOS Name:  CTGHBM01.bin               
Checksum:   352Bh
sts no:     15406

Sign-on Message:
    COM-TGHB6 R0.1 (CTGHBM01)(11/08/2021)
Changes:
1. Bring up BIOS
===========================================================================
